Announcement

Collapse
No announcement yet.

KDE Plasma 5.25 Delayed For FreeBSD Due To Needing Additional Security Infrastructure

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • KDE Plasma 5.25 Delayed For FreeBSD Due To Needing Additional Security Infrastructure

    Phoronix: KDE Plasma 5.25 Delayed For FreeBSD Due To Needing Additional Security Infrastructure

    Last month KDE Plasma 5.25 released as the newest feature release to this Qt-based open-source desktop environment. Unfortunately for FreeBSD desktop users, those using KDE will be stuck for a while longer on Plasma 5.24 due to missing security infrastructure...

    https://www.phoronix.com/news/KDE-Pl...eeBSD-Struggle

  • #2
    PAM is very old, first specifications come from Sun Microsystems in 1995. BSD family and many other unix-like systems support it. It's far from perfect and no formal standarization plus other limitations. But its quite used.

    I'm really surprised it didn't get support even from base install since so many years ago.

    I expected a lot more from BSD family, it has been too many years since I used them (Free, Net, Open, DragonFly).

    Comment


    • #3
      Back in the KDE 3 days KDE used to be billed as the Unix-like desktop environment, now its FreeBSD support is lackluster and doesn't even support OpenBSD or NetBSD. All while Xfce supports all Unix-like OSes.

      Comment


      • #4
        Originally posted by kylew77 View Post
        Back in the KDE 3 days KDE used to be billed as the Unix-like desktop environment, now its FreeBSD support is lackluster and doesn't even support OpenBSD or NetBSD. All while Xfce supports all Unix-like OSes.
        Yes but KDE does offer a lot more (perhaps in quite a few cases to much more) then Xfce. For those wanting the fully loaded desktop experience, its harder to achieve on Xfce, and Xfce seems to be struggling to attract development these days.

        Comment


        • #5
          Originally posted by zexelon View Post

          Yes but KDE does offer a lot more (perhaps in quite a few cases to much more) then Xfce. For those wanting the fully loaded desktop experience, its harder to achieve on Xfce, and Xfce seems to be struggling to attract development these days.
          All of that is true.

          Comment


          • #6
            FreeBSD has had PAM since at least version 3.1 (>20 years ago).

            Comment


            • #7
              Originally posted by AusMatt View Post
              FreeBSD has had PAM since at least version 3.1 (>20 years ago).
              But it doesn't have the PAM modules that are required by KDE Plasma 5.25 yet.

              Comment


              • #8
                There are no patches to get rid of it?

                Comment


                • #9
                  Originally posted by binarybanana View Post
                  There are no patches to get rid of it?
                  There's uncommited (and missing) PAM module out in the net. For FBSD. You could perhaps use that instead.

                  Comment

                  Working...
                  X